- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# MyEventHandler Class Reference

This is so user can trap events and do useful stuff. More...

`#include <MyEventHandler.hpp>`

Inheritance diagram for MyEventHandler:

[legend]
Collaboration diagram for MyEventHandler:

[legend]
List of all members.

## Public Member Functions
Overrides
virtual int | event (Event whichEvent)
Constructors, destructor etc
| MyEventHandler ()
| Default constructor.
| MyEventHandler (ClpSimplex *model)
| Constructor with pointer to model (redundant as setEventHandler does).
virtual | ~MyEventHandler ()
| Destructor.
| MyEventHandler (const MyEventHandler &rhs)
| The copy constructor.
MyEventHandler & | operator= (const MyEventHandler &rhs)
| Assignment.
virtual ClpEventHandler * | clone () const
| Clone.

## Detailed Description

This is so user can trap events and do useful stuff.

This is used in Clp/Test/unitTest.cpp

ClpSimplex model_ is available as well as anything else you care to pass in

Definition at line 15 of file MyEventHandler.hpp.

## Constructor & Destructor Documentation

MyEventHandler::MyEventHandler | ( |  | ) |

Default constructor.

MyEventHandler::MyEventHandler | ( | ClpSimplex * | model | ) |

Constructor with pointer to model (redundant as setEventHandler does).

virtual MyEventHandler::~MyEventHandler | ( |  | ) | `[virtual]`

Destructor.

MyEventHandler::MyEventHandler | ( | const MyEventHandler & | rhs | ) |

The copy constructor.

## Member Function Documentation

virtual int MyEventHandler::event | ( | Event | whichEvent | ) | `[virtual]`

MyEventHandler& MyEventHandler::operator= | ( | const MyEventHandler & | rhs | ) |

Assignment.

virtual ClpEventHandler* MyEventHandler::clone | ( |  | ) | const`[virtual]`

Clone.

Reimplemented from ClpEventHandler.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Cgl-0.52.0/Clp/src/MyEventHandler.hpp